## org.eclipse.emf.ecore.util
Class ECrossReferenceEList<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.AbstractSequentialList<E>
                  org.eclipse.emf.ecore.util.AbstractSequentialInternalEList<E>
                      org.eclipse.emf.ecore.util.EContentsEList<E>
                          org.eclipse.emf.ecore.util.ECrossReferenceEList<E>

All Implemented Interfaces:
  java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>, EList<E>, InternalEList<E>

    public class ECrossReferenceEList<E>

extends EContentsEList<E>

A virtual list of all the cross references of an EObject.

Nested Class Summary
`static class` `ECrossReferenceEList.FeatureIteratorImpl<E>`
`static class` `ECrossReferenceEList.ResolvingFeatureIteratorImpl<E>`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EContentsEList
`EContentsEList.FeatureIterator<E>, EContentsEList.FeatureListIterator<E>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.util.InternalEList
`InternalEList.Unsettable<E>`

Field Summary
`static ECrossReferenceEList<?>` `EMPTY_CROSS_REFERENCE_ELIST`

Fields inherited from class org.eclipse.emf.ecore.util.EContentsEList
`EMPTY_CONTENTS_ELIST, eObject, eStructuralFeatures`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`` `ECrossReferenceEList(EObject eObject)`
`protected` `ECrossReferenceEList(EObject eObject, EStructuralFeature[] eStructuralFeatures)`

Method Summary
`java.util.List<E>` `basicList()` Returns an unmodifiable list that yields unresolved values.

`static

`<T> ECrossReferenceEList<T>`

`

`createECrossReferenceEList(EObject eObject)`

`static

`<T> ECrossReferenceEList<T>`

`

`emptyCrossReferenceEList()`

`protected boolean` `isIncluded(EStructuralFeature eStructuralFeature)`
`protected boolean` `isIncludedEntry(EStructuralFeature eStructuralFeature)`
`protected java.util.ListIterator<E>` `newNonResolvingListIterator()`
`protected java.util.ListIterator<E>` `newResolvingListIterator()`

Methods inherited from class org.eclipse.emf.ecore.util.EContentsEList
`basicGet, basicIterator, basicListIterator, basicListIterator, createEContentsEList, emptyContentsEList, isEmpty, iterator, listIterator, move, move, newIterator, newListIterator, resolve, size, useIsSet`

Methods inherited from class org.eclipse.emf.ecore.util.AbstractSequentialInternalEList
`addAllUnique, addAllUnique, addUnique, addUnique, basicAdd, basicContains, basicContainsAll, basicIndexOf, basicLastIndexOf, basicRemove, basicToArray, basicToArray, setUnique`

Methods inherited from class java.util.AbstractSequentialList
`add, addAll, get, remove, set`

Methods inherited from class java.util.AbstractList
`add, clear, equals, hashCode, indexOf, lastIndexOf, listIterator, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.util.InternalEList
`addAllUnique, addAllUnique, addUnique, addUnique, basicAdd, basicContains, basicContainsAll, basicIndexOf, basicLastIndexOf, basicRemove, basicToArray, basicToArray, setUnique`

Field Detail

### EMPTY_CROSS_REFERENCE_ELIST

    public static final ECrossReferenceEList<?> EMPTY_CROSS_REFERENCE_ELIST

Constructor Detail

### ECrossReferenceEList

    public ECrossReferenceEList(EObject eObject)

### ECrossReferenceEList

    protected ECrossReferenceEList(EObject eObject,
                                   EStructuralFeature[] eStructuralFeatures)

Method Detail

### emptyCrossReferenceEList

    public static <T> ECrossReferenceEList<T> emptyCrossReferenceEList()

### createECrossReferenceEList

    public static <T> ECrossReferenceEList<T> createECrossReferenceEList(EObject eObject)

### isIncluded

    protected boolean isIncluded(EStructuralFeature eStructuralFeature)

  Overrides:
    `isIncluded` in class `EContentsEList<E>`

### isIncludedEntry

    protected boolean isIncludedEntry(EStructuralFeature eStructuralFeature)

  Overrides:
    `isIncludedEntry` in class `EContentsEList<E>`

### newResolvingListIterator

    protected java.util.ListIterator<E> newResolvingListIterator()

  Overrides:
    `newResolvingListIterator` in class `EContentsEList<E>`

### newNonResolvingListIterator

    protected java.util.ListIterator<E> newNonResolvingListIterator()

  Overrides:
    `newNonResolvingListIterator` in class `EContentsEList<E>`

### basicList

    public java.util.List<E> basicList()

  Description copied from interface: `InternalEList`
  Returns an unmodifiable list that yields unresolved values.

  Specified by:
    `basicList` in interface `InternalEList<E>`
  Overrides:
    `basicList` in class `EContentsEList<E>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.